// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from ds_dbw_msgs:msg/GearReport.idl
// generated code does not contain a copyright notice

#ifndef DS_DBW_MSGS__MSG__DETAIL__GEAR_REPORT__STRUCT_H_
#define DS_DBW_MSGS__MSG__DETAIL__GEAR_REPORT__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'gear'
// Member 'cmd'
// Member 'driver'
#include "ds_dbw_msgs/msg/detail/gear__struct.h"
// Member 'reject'
#include "ds_dbw_msgs/msg/detail/gear_reject__struct.h"
// Member 'cmd_src'
#include "ds_dbw_msgs/msg/detail/cmd_src__struct.h"

/// Struct defined in msg/GearReport in the package ds_dbw_msgs.
typedef struct ds_dbw_msgs__msg__GearReport
{
  std_msgs__msg__Header header;
  /// Current gear enumeration
  ds_dbw_msgs__msg__Gear gear;
  /// Gear command enumeration
  ds_dbw_msgs__msg__Gear cmd;
  /// Gear command enumeration
  ds_dbw_msgs__msg__Gear driver;
  /// Gear reject enumeration
  ds_dbw_msgs__msg__GearReject reject;
  bool power_latched;
  bool external_control;
  /// Faults
  /// Ready to execute commands
  bool ready;
  /// Active override
  bool override_active;
  /// Override from other system
  bool override_other;
  /// Fault of any kind
  bool fault;
  /// CRC error on most recent command
  bool bad_crc;
  /// Start of slower secondary report #####
  /// Degradation of any kind
  bool degraded;
  /// Request brake apply for gear shift calibration
  bool req_brake_cal;
  /// Command source
  ds_dbw_msgs__msg__CmdSrc cmd_src;
} ds_dbw_msgs__msg__GearReport;

// Struct for a sequence of ds_dbw_msgs__msg__GearReport.
typedef struct ds_dbw_msgs__msg__GearReport__Sequence
{
  ds_dbw_msgs__msg__GearReport * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} ds_dbw_msgs__msg__GearReport__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // DS_DBW_MSGS__MSG__DETAIL__GEAR_REPORT__STRUCT_H_
