// generated from rosidl_generator_cpp/resource/idl__struct.hpp.em
// with input from ds_dbw_msgs:msg/PropulsionInfo.idl
// generated code does not contain a copyright notice

#ifndef DS_DBW_MSGS__MSG__DETAIL__PROPULSION_INFO__STRUCT_HPP_
#define DS_DBW_MSGS__MSG__DETAIL__PROPULSION_INFO__STRUCT_HPP_

#include <algorithm>
#include <array>
#include <memory>
#include <string>
#include <vector>

#include "rosidl_runtime_cpp/bounded_vector.hpp"
#include "rosidl_runtime_cpp/message_initialization.hpp"


// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.hpp"

#ifndef _WIN32
# define DEPRECATED__ds_dbw_msgs__msg__PropulsionInfo __attribute__((deprecated))
#else
# define DEPRECATED__ds_dbw_msgs__msg__PropulsionInfo __declspec(deprecated)
#endif

namespace ds_dbw_msgs
{

namespace msg
{

// message struct
template<class ContainerAllocator>
struct PropulsionInfo_
{
  using Type = PropulsionInfo_<ContainerAllocator>;

  explicit PropulsionInfo_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : header(_init)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->propulsion_torque_request = 0.0f;
      this->propulsion_torque_actual = 0.0f;
      this->engine_torque_request = 0.0f;
      this->engine_torque_actual = 0.0f;
      this->transmission_ratio = 0.0f;
    }
  }

  explicit PropulsionInfo_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : header(_alloc, _init)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->propulsion_torque_request = 0.0f;
      this->propulsion_torque_actual = 0.0f;
      this->engine_torque_request = 0.0f;
      this->engine_torque_actual = 0.0f;
      this->transmission_ratio = 0.0f;
    }
  }

  // field types and members
  using _header_type =
    std_msgs::msg::Header_<ContainerAllocator>;
  _header_type header;
  using _propulsion_torque_request_type =
    float;
  _propulsion_torque_request_type propulsion_torque_request;
  using _propulsion_torque_actual_type =
    float;
  _propulsion_torque_actual_type propulsion_torque_actual;
  using _engine_torque_request_type =
    float;
  _engine_torque_request_type engine_torque_request;
  using _engine_torque_actual_type =
    float;
  _engine_torque_actual_type engine_torque_actual;
  using _transmission_ratio_type =
    float;
  _transmission_ratio_type transmission_ratio;

  // setters for named parameter idiom
  Type & set__header(
    const std_msgs::msg::Header_<ContainerAllocator> & _arg)
  {
    this->header = _arg;
    return *this;
  }
  Type & set__propulsion_torque_request(
    const float & _arg)
  {
    this->propulsion_torque_request = _arg;
    return *this;
  }
  Type & set__propulsion_torque_actual(
    const float & _arg)
  {
    this->propulsion_torque_actual = _arg;
    return *this;
  }
  Type & set__engine_torque_request(
    const float & _arg)
  {
    this->engine_torque_request = _arg;
    return *this;
  }
  Type & set__engine_torque_actual(
    const float & _arg)
  {
    this->engine_torque_actual = _arg;
    return *this;
  }
  Type & set__transmission_ratio(
    const float & _arg)
  {
    this->transmission_ratio = _arg;
    return *this;
  }

  // constant declarations

  // pointer types
  using RawPtr =
    ds_dbw_msgs::msg::PropulsionInfo_<ContainerAllocator> *;
  using ConstRawPtr =
    const ds_dbw_msgs::msg::PropulsionInfo_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<ds_dbw_msgs::msg::PropulsionInfo_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<ds_dbw_msgs::msg::PropulsionInfo_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      ds_dbw_msgs::msg::PropulsionInfo_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<ds_dbw_msgs::msg::PropulsionInfo_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      ds_dbw_msgs::msg::PropulsionInfo_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<ds_dbw_msgs::msg::PropulsionInfo_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<ds_dbw_msgs::msg::PropulsionInfo_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<ds_dbw_msgs::msg::PropulsionInfo_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__ds_dbw_msgs__msg__PropulsionInfo
    std::shared_ptr<ds_dbw_msgs::msg::PropulsionInfo_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__ds_dbw_msgs__msg__PropulsionInfo
    std::shared_ptr<ds_dbw_msgs::msg::PropulsionInfo_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const PropulsionInfo_ & other) const
  {
    if (this->header != other.header) {
      return false;
    }
    if (this->propulsion_torque_request != other.propulsion_torque_request) {
      return false;
    }
    if (this->propulsion_torque_actual != other.propulsion_torque_actual) {
      return false;
    }
    if (this->engine_torque_request != other.engine_torque_request) {
      return false;
    }
    if (this->engine_torque_actual != other.engine_torque_actual) {
      return false;
    }
    if (this->transmission_ratio != other.transmission_ratio) {
      return false;
    }
    return true;
  }
  bool operator!=(const PropulsionInfo_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct PropulsionInfo_

// alias to use template instance with default allocator
using PropulsionInfo =
  ds_dbw_msgs::msg::PropulsionInfo_<std::allocator<void>>;

// constant definitions

}  // namespace msg

}  // namespace ds_dbw_msgs

#endif  // DS_DBW_MSGS__MSG__DETAIL__PROPULSION_INFO__STRUCT_HPP_
